#include "ultrasonic.h"

void setup_ultrasonic_pins(void) {
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
}

void control_servo(Servo myServo) {
  long duration, distance;
  
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);

  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);

  digitalWrite(trigPin, LOW);
  duration = pulseIn(echoPin, HIGH);

  distance = (duration / 2) / 29.1;

  if (distance < 8) {
    Serial.println("Distance is less than 5");
    rotate_servo(myServo);
    state = 0;
  } else {
    myServo.write(0);
  }

  if (distance > 60 || distance <= 0 ) {
    Serial.println("The distance is more than 60");
  } else {
    Serial.print(distance);
    Serial.println("cm");
  }
  
  delay(500);
}