
#include <avr/interrupt.h>
#include "utils.h"
#include "servomotor.h"
#include "ultrasonic.h"
#include "bluetooth.h"

Servo servo;

int state = 0;
int open_state = 0;
int feeder_state = 1;
int ultrasonic_state = 1;

ISR(INT0_vect) {
  state = 1;
}

void setup() {
  
  Serial.begin(9600);
  setup_ultrasonic_pins();
  setup_leds_and_button();
  setup_button_int();
  setup_servo(servo);
  sei();
}

void loop() {

  receiveWirelessCommand(); 
  
  if (feeder_state == 1) {
    if (state == 1) {
      rotate_servo(servo);
      state = 0;
    }
    if (open_state == 1) {
      rotate_servo(servo);
      open_state = 0;
    }
    delay(300);
    if (ultrasonic_state == 1) {
      control_servo(servo);
    }

  }
  
}
